com.thinkaurelius.titan.graphdb.types

## Enum TypeDefinitionCategory

- java.lang.Object
- - java.lang.Enum<TypeDefinitionCategory>
  - - com.thinkaurelius.titan.graphdb.types.TypeDefinitionCategory

- All Implemented Interfaces:
    Serializable, Comparable<TypeDefinitionCategory>

      public enum TypeDefinitionCategory
      extends Enum<TypeDefinitionCategory>

  Author:
    Matthias Broecheler (me@matthiasb.com), Joshua Shinavier (http://fortytwo.net)

- - ### Property Summary

    Properties
    Type | Property and Description
    --- | ---
    `boolean` | `is`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKING_INDEX`
    `CONSISTENCY_LEVEL`
    `DATATYPE`
    `ELEMENT_CATEGORY`
    `HIDDEN`
    `INDEX_CARDINALITY`
    `INDEX_FIELD`
    `INDEX_SCHEMA_CONSTRAINT`
    `INDEXSTORE_NAME`
    `INTERNAL_INDEX`
    `MULTIPLICITY`
    `PARTITIONED`
    `RELATIONTYPE_INDEX`
    `SIGNATURE`
    `SORT_KEY`
    `SORT_ORDER`
    `STATIC`
    `STATUS`
    `TTL`
    `TYPE_MODIFIER`
    `UNIDIRECTIONAL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<TypeDefinitionCategory>` | `EDGELABEL_DEFINITION_CATEGORIES`
    `static Set<TypeDefinitionCategory>` | `INDEX_DEFINITION_CATEGORIES`
    `static Set<TypeDefinitionCategory>` | `PROPERTYKEY_DEFINITION_CATEGORIES`
    `static Set<TypeDefinitionCategory>` | `TYPE_MODIFIER_DEFINITION_CATEGORIES`
    `static Set<TypeDefinitionCategory>` | `VERTEXLABEL_DEFINITION_CATEGORIES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `defaultValue(TypeDefinitionMap map)`
    `Class<?>` | `getDataType()`
    `boolean` | `hasDataType()`
    `boolean` | `isEdge()`
    `boolean` | `isProperty()`
    `static TypeDefinitionCategory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TypeDefinitionCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `boolean` | `verifyAttribute(Object attribute)`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HIDDEN

          public static final TypeDefinitionCategory HIDDEN

    - #### SORT_KEY

          public static final TypeDefinitionCategory SORT_KEY

    - #### SORT_ORDER

          public static final TypeDefinitionCategory SORT_ORDER

    - #### SIGNATURE

          public static final TypeDefinitionCategory SIGNATURE

    - #### MULTIPLICITY

          public static final TypeDefinitionCategory MULTIPLICITY

    - #### DATATYPE

          public static final TypeDefinitionCategory DATATYPE

    - #### UNIDIRECTIONAL

          public static final TypeDefinitionCategory UNIDIRECTIONAL

    - #### STATUS

          public static final TypeDefinitionCategory STATUS

    - #### ELEMENT_CATEGORY

          public static final TypeDefinitionCategory ELEMENT_CATEGORY

    - #### INDEX_CARDINALITY

          public static final TypeDefinitionCategory INDEX_CARDINALITY

    - #### INTERNAL_INDEX

          public static final TypeDefinitionCategory INTERNAL_INDEX

    - #### BACKING_INDEX

          public static final TypeDefinitionCategory BACKING_INDEX

    - #### INDEXSTORE_NAME

          public static final TypeDefinitionCategory INDEXSTORE_NAME

    - #### CONSISTENCY_LEVEL

          public static final TypeDefinitionCategory CONSISTENCY_LEVEL

    - #### TTL

          public static final TypeDefinitionCategory TTL

    - #### PARTITIONED

          public static final TypeDefinitionCategory PARTITIONED

    - #### STATIC

          public static final TypeDefinitionCategory STATIC

    - #### RELATIONTYPE_INDEX

          public static final TypeDefinitionCategory RELATIONTYPE_INDEX

    - #### TYPE_MODIFIER

          public static final TypeDefinitionCategory TYPE_MODIFIER

    - #### INDEX_FIELD

          public static final TypeDefinitionCategory INDEX_FIELD

    - #### INDEX_SCHEMA_CONSTRAINT

          public static final TypeDefinitionCategory INDEX_SCHEMA_CONSTRAINT

  - ### Property Detail

    - #### is

  - ### Field Detail

    - #### PROPERTYKEY_DEFINITION_CATEGORIES

          public static final Set<TypeDefinitionCategory> PROPERTYKEY_DEFINITION_CATEGORIES

    - #### EDGELABEL_DEFINITION_CATEGORIES

          public static final Set<TypeDefinitionCategory> EDGELABEL_DEFINITION_CATEGORIES

    - #### INDEX_DEFINITION_CATEGORIES

          public static final Set<TypeDefinitionCategory> INDEX_DEFINITION_CATEGORIES

    - #### VERTEXLABEL_DEFINITION_CATEGORIES

          public static final Set<TypeDefinitionCategory> VERTEXLABEL_DEFINITION_CATEGORIES

    - #### TYPE_MODIFIER_DEFINITION_CATEGORIES

          public static final Set<TypeDefinitionCategory> TYPE_MODIFIER_DEFINITION_CATEGORIES

  - ### Method Detail

    - #### values

          public static TypeDefinitionCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeDefinitionCategory c : TypeDefinitionCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeDefinitionCategory valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### hasDataType

          public boolean hasDataType()

    - #### getDataType

          public Class<?> getDataType()

    - #### isProperty

          public boolean isProperty()

    - #### isEdge

          public boolean isEdge()

    - #### verifyAttribute

          public boolean verifyAttribute(Object attribute)

    - #### defaultValue

          public Object defaultValue(TypeDefinitionMap map)

Copyright © 2012–2014. All rights reserved.